Get an artifact preview - Spacefast Docs

Get an artifact preview

The cached raster snapshot for a commit, as an image response.

GET /v1/artifacts/{ref}/preview

Authorization

Authorization Bearer token · header required

or

or

Scopes: connectors:read

Path parameters

Query parameters

Responses

Try it

Server

Base URL https://api.spacefast.com
Custom base URL Overrides the selected server when set.

Request

cURL

curl -X GET "https://api.spacefast.com/v1/artifacts/string/preview?commitSha=string" \
  -H "Authorization: Bearer YOUR_TOKEN"

JavaScript

const response = await fetch("https://api.spacefast.com/v1/artifacts/string/preview?commitSha=string", {
  method: "GET",
  headers: {
    "Authorization": "Bearer YOUR_TOKEN"
  }
});

Python

import requests

response = requests.get(
    "https://api.spacefast.com/v1/artifacts/string/preview?commitSha=string",
    headers={
        "Authorization": "Bearer YOUR_TOKEN"
    },
)

Response